Version numbers

mdbarber

Portal Pro
February 19, 2007
243
18
Country flag
Pondering updating my HTPC which is still windows xp based and using MP1.5.
I really like some of the plugins such as mvcentral so have been doing some reading on here to see which will work with newer versions etc but am finding it very confusing with the version numbers being repeated after nearly a decade.
Would it not have been easier to append a "b" on the newer versions so 1.2.2(b) is not confused with the same number from all those years ago?
 

CyberSimian

Test Group
  • Team MediaPortal
  • June 10, 2013
    1,734
    113
    Southampton
    Country flag
    There is notionally a third component in an MP1 release number, so the forthcoming release will be 1.23.0. But the third component is rarely specified nowadays, since it is rarely anything other than 0.

    Pondering updating my HTPC which is still windows xp based
    Be aware that the current version of MP1 no longer supports Windows XP; the oldest Windows version officially supported is Vista. You may be intending to migrate to a newer version of Windows, but if you hope to stay with XP, you won't be able to use the current release of MP1 (probably). Sorry, but I don't know which release of MP1 was the last to support XP. :(

    -- from CyberSimian in the UK
     

    mdbarber

    Portal Pro
    February 19, 2007
    243
    18
    Country flag
    There is notionally a third component in an MP1 release number, so the forthcoming release will be 1.23.0. But the third component is rarely specified nowadays, since it is rarely anything other than 0.


    Be aware that the current version of MP1 no longer supports Windows XP; the oldest Windows version officially supported is Vista. You may be intending to migrate to a newer version of Windows, but if you hope to stay with XP, you won't be able to use the current release of MP1 (probably). Sorry, but I don't know which release of MP1 was the last to support XP. :(

    -- from CyberSimian in the UK

    Hi, yes i think an OS upgrade may also be on the cards as well :D, the point of this was to access what plugins were available and base the version of MP on that hence the confusion over the version numbers.
    it was just a general comment really about how it would have been much more user friendly to adjust the version numbers so that they could not be confused in a quick glance or search on the forums.
     

    CyberSimian

    Test Group
  • Team MediaPortal
  • June 10, 2013
    1,734
    113
    Southampton
    Country flag
    XP?!?!?!?!
    Apart from the original poster using Windows XP for his HTPC, I am posting this from a laptop that is still running Windows XP, and I have set up my Windows 7 HTPC to use the "Windows Classic" theme (aka "Windows XP" theme).

    Windows XP? Lovely stuff! :D

    -- from CyberSimian in the UK
     
    Top Bottom